# Remove-RASAVDWorkspace.md

## NAME

Remove-RASAVDWorkspace

## SYNOPSIS

Removes an Azure Virtual Desktop Workspace.

## SYNTAX

**Remove-RASAVDWorkspace** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAVDWorkspace \[-[InputObject](#inputobject)] *(*[*AVDWorkspace*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASAVDWorkspace** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes the specified Azure Virtual Desktop Workspace from within the specified site.

## PARAMETERS

## Name (string)

The name of the Azure Virtual Desktop Workspace to remove.

This must be the actual Azure Virtual Desktop Workspace name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the Azure Virtual Desktop Workspace.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Azure Virtual Desktop Workspace to remove.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md))

An object representing the Azure Virtual Desktop Workspace to remove from a site.

To obtain the object, use the Get-RASAVDWorkpsace command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAVDWorkspace -Name "My AVDWorkspace" -SiteId 1

Removes the AVD Workspace specified by name from the site with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAVDWorkspace -Id 10

Removes the AVD Workspace specified by ID from the Licensing Server site.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAVDWorkspace -Id 10 | Remove-RASAVDWorkspace

Removes the AVD Workspace represented by the object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md)
* [New-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdworkspace.md)
* [Set-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdworkspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
